Bug 1850446 - Insights operator should collect information about all nodes
Summary: Insights operator should collect information about all nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.z
Assignee: Alexandre Vicenzi
QA Contact: Angelina Nikiforova
Radek Vokál
URL:
Whiteboard:
Depends On: 1850678
Blocks: 1868165 1868163
TreeView+ depends on / blocked
 
Reported: 2020-06-24 10:38 UTC by Vadim Rutkovsky
Modified: 2020-08-17 20:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1868163 (view as bug list)
Environment:
Last Closed: 2020-08-17 20:05:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift insights-operator pull 127 None closed Bug 1850446:[release-4.5] pkg/gather/clusterconfig/clusterconfig: include node information in every archive 2020-09-23 16:43:03 UTC
Red Hat Product Errata RHBA-2020:3330 None None None 2020-08-17 20:05:42 UTC

Description Vadim Rutkovsky 2020-06-24 10:38:32 UTC
A lot of scenarios could use node information even if these are reporting
as healthy - e.g. custom taints may prevent pods from scheduling or
single master installs. This commit ensures anonymized node information
is included in every archive.

Comment 1 Stephen Cuppett 2020-06-24 11:04:31 UTC
Setting target release to current development version (4.6) for investigation. Where fixes (if any) are required/requested for prior versions, cloned BZs will be created when appropriate.

Comment 2 Vadim Rutkovsky 2020-06-24 17:23:27 UTC
I created a PR for master (4.6.0) but didn't create a bug for it. Created bug 1850678 for 4.6, this bug would track 4.5 backport, sorry for the fuss

Comment 3 Vadim Rutkovsky 2020-06-24 18:26:33 UTC
Not critical for 4.5.0 release

Comment 6 Angelina Nikiforova 2020-08-07 14:37:56 UTC
Fixed and verified in 4.5.0-0.nightly-2020-08-07-024812

Comment 8 errata-xmlrpc 2020-08-17 20:05:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3330


Note You need to log in before you can comment on or make changes to this bug.